AsterNet Class Library (Sandcastle documentation)

| ControlStreamFileCommand Constructor (String, String, Int32)

Creates a new ControlStreamFileCommand, streaming from the given offset. It uses the default digit "#" for forward and "*" for rewind and does not support pausing.

Namespace: AsterNET.FastAGI.Command
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public ControlStreamFileCommand(
    	string file,
    	string escapeDigits,
    	int offset
    )

    Public Sub New (
    	file As String,
    	escapeDigits As String,
    	offset As Integer
    )

    public:
    ControlStreamFileCommand(
    	String^ file,
    	String^ escapeDigits,
    	int offset
    )

    new :
            file : string *
            escapeDigits : string *
            offset : int -> ControlStreamFileCommand

#### Parameters

file
  Type: System
  String
  the name of the file to stream, must not include extension.
escapeDigits
  Type: System
  String
  contains the digits that allow the user to interrupt this command. Maybe null if you don't want the user to interrupt.
offset
  Type: System
  Int32
  the offset samples to skip before streaming.

See Also

#### Reference

ControlStreamFileCommand Class
ControlStreamFileCommand Overload
AsterNET.FastAGI.Command Namespace